summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Wegener <swegener@gentoo.org>2016-03-13 22:25:42 +0000
committerSven Wegener <swegener@gentoo.org>2016-03-13 22:36:33 +0000
commitbedbe2b01f8e687883f9273f184874544bface27 (patch)
treeccd5df2b8c46459d792b6e66fc9e15a82e90dc2e /net-irc
parentx11-drivers/xf86-video-intel: Fix kernel check (diff)
downloadgentoo-bedbe2b01f8e687883f9273f184874544bface27.tar.gz
gentoo-bedbe2b01f8e687883f9273f184874544bface27.tar.bz2
gentoo-bedbe2b01f8e687883f9273f184874544bface27.zip
net-irc/irssi: Version bump, bug #577336
This also enables true color support for bug #552510. Package-Manager: portage-2.2.26
Diffstat (limited to 'net-irc')
-rw-r--r--net-irc/irssi/Manifest1
-rw-r--r--net-irc/irssi/irssi-0.8.18.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/net-irc/irssi/Manifest b/net-irc/irssi/Manifest
index 4ef97e24291..7ffb2ed19e7 100644
--- a/net-irc/irssi/Manifest
+++ b/net-irc/irssi/Manifest
@@ -1 +1,2 @@
DIST irssi-0.8.17.tar.bz2 1102196 SHA256 3c9600cad2edf58f1d012febc1a0ba844274df6e331c01a9e935467705166807 SHA512 e3d9b130c46e6977400f5a75374cf3e32d5a6e6907b2fd4c920463b5413575708b094c9fa38151997a120ce581de26092424296510ca93b3eee7b0844be45953 WHIRLPOOL 497e1c4f8a84932f84cdf05bdcc8493f27edfd2070f07c760fa91fc1a967958e3bb48b0cc2d9b22640670d770ffb6dc8035e8bd636a0f966cd675d1636907ee3
+DIST irssi-0.8.18.tar.xz 1004856 SHA256 c0a177f749757c2d171ebe49ab0f0dd9cf9374dea81ab01904d0549bcb057840 SHA512 9b1abd7777b89a89cb1bf562193919398d765757639efca5ad12b38feaad96b98e2b0bbeb665ac0994c4f2ff9abbff7a7a8bee0daab2b0ea0beb73f82edc30e0 WHIRLPOOL 40bb726cef07fdad749fd8ae2474ff993ab6c8b275cf4f3a537e997333fdb4f798db50c751956818f4190e2f313b78f66508631d6995ecab76f7c93be01f5abd
diff --git a/net-irc/irssi/irssi-0.8.18.ebuild b/net-irc/irssi/irssi-0.8.18.ebuild
new file mode 100644
index 00000000000..4dcc85de7b4
--- /dev/null
+++ b/net-irc/irssi/irssi-0.8.18.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit autotools eutils flag-o-matic perl-module toolchain-funcs
+
+# Keep for _rc compability
+MY_P="${P/_/-}"
+
+DESCRIPTION="A modular textUI IRC client with IPv6 support"
+HOMEPAGE="http://irssi.org/"
+SRC_URI="https://github.com/irssi/irssi/releases/download/${PV/_/-}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ipv6 +perl selinux ssl socks5 +proxy libressl"
+
+CDEPEND="sys-libs/ncurses:0=
+ >=dev-libs/glib-2.6.0
+ ssl? (
+ !libressl? ( dev-libs/openssl:= )
+ libressl? ( dev-libs/libressl:= )
+ )
+ perl? ( dev-lang/perl )
+ socks5? ( >=net-proxy/dante-1.1.18 )"
+
+DEPEND="
+ ${CDEPEND}
+ virtual/pkgconfig"
+
+RDEPEND="
+ ${CDEPEND}
+ selinux? ( sec-policy/selinux-irc )
+ perl? ( !net-im/silc-client )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ pushd m4 > /dev/null || die
+ eapply "${FILESDIR}/${PN}-0.8.15-tinfo.patch"
+ popd > /dev/null || die
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-ncurses="${EPREFIX}"/usr \
+ --with-perl-lib=vendor \
+ --enable-static \
+ --enable-true-color \
+ $(use_with proxy) \
+ $(use_with perl) \
+ $(use_with socks5 socks) \
+ $(use_enable ssl) \
+ $(use_enable ipv6)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ use perl && perl_delete_localpod
+
+ prune_libtool_files --modules
+
+ dodoc AUTHORS ChangeLog README.md TODO NEWS
+}